com.amazonaws.services.codebuild.model

## Class SourceAuth

- java.lang.Object
- - com.amazonaws.services.codebuild.model.SourceAuth

All Implemented Interfaces:
  Serializable, Cloneable

    public class SourceAuth
    extends Object
    implements Serializable, Cloneable

Information about the authorization settings for AWS CodeBuild to access the source code to be built.

This information is only for the AWS CodeBuild console's use. Your code should not get or set this information directly.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SourceAuth()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SourceAuth` `clone()`
`boolean` `equals(Object obj)`
`String` `getResource()` The resource value that applies to the specified authorization type.
`String` `getType()` The authorization type to use.
`int` `hashCode()`
`void` `setResource(String resource)` The resource value that applies to the specified authorization type.
`void` `setType(SourceAuthType type)` The authorization type to use.
`void` `setType(String type)` The authorization type to use.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`SourceAuth` `withResource(String resource)` The resource value that applies to the specified authorization type.
`SourceAuth` `withType(SourceAuthType type)` The authorization type to use.
`SourceAuth` `withType(String type)` The authorization type to use.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SourceAuth

    public SourceAuth()

### Method Detail

#### setType

    public void setType(String type)

The authorization type to use. The only valid value is `OAUTH`, which represents the OAuth authorization type.

Parameters:
  `type` - The authorization type to use. The only valid value is `OAUTH`, which represents the OAuth authorization type.
See Also:
  `SourceAuthType`

#### getType

    public String getType()

The authorization type to use. The only valid value is `OAUTH`, which represents the OAuth authorization type.

Returns:
  The authorization type to use. The only valid value is `OAUTH`, which represents the OAuth authorization type.
See Also:
  `SourceAuthType`

#### withType

    public SourceAuth withType(String type)

The authorization type to use. The only valid value is `OAUTH`, which represents the OAuth authorization type.

Parameters:
  `type` - The authorization type to use. The only valid value is `OAUTH`, which represents the OAuth authorization type.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `SourceAuthType`

#### setType

    public void setType(SourceAuthType type)

The authorization type to use. The only valid value is `OAUTH`, which represents the OAuth authorization type.

Parameters:
  `type` - The authorization type to use. The only valid value is `OAUTH`, which represents the OAuth authorization type.
See Also:
  `SourceAuthType`

#### withType

    public SourceAuth withType(SourceAuthType type)

The authorization type to use. The only valid value is `OAUTH`, which represents the OAuth authorization type.

Parameters:
  `type` - The authorization type to use. The only valid value is `OAUTH`, which represents the OAuth authorization type.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `SourceAuthType`

#### setResource

    public void setResource(String resource)

The resource value that applies to the specified authorization type.

Parameters:
  `resource` - The resource value that applies to the specified authorization type.

#### getResource

    public String getResource()

The resource value that applies to the specified authorization type.

Returns:
  The resource value that applies to the specified authorization type.

#### withResource

    public SourceAuth withResource(String resource)

The resource value that applies to the specified authorization type.

Parameters:
  `resource` - The resource value that applies to the specified authorization type.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public SourceAuth clone()

Overrides:
  `clone` in class `Object`